When I try to open the game via steam and get to the "connect to lobby" screen I keep getting some kind of error, "Invalid Version. Client update required". As far as I know there is only one version of the game and it is updated to the latest update according to steam. Any idea why this is? I was hyped to try the beta but can't seem to get in.